<?php

namespace App\ViewModels\Anamnese\AnamneseAdicionalRegistrationViewModel;

use App\Utils\Builder;

class AnamneseAdicionalRegistrationViewModelBuilder implements Builder {
	protected $idPet;
	protected $idTutor;
	protected $idUnidade;
	protected $idProcedimento;
	protected $idConvenioProcedimento;
	protected $idFormulario;
	protected $idUsuario;
	protected $idMedico;
	protected $idAssistente;
	protected $idRequisicao;
	protected $dataCriacao;
	protected $horaCriacao;

	public function build(): AnamneseAdicionalRegistrationViewModel {

		$obj = new AnamneseAdicionalRegistrationViewModel();

		$obj->setIdPet( $this->idPet );
		$obj->setIdTutor( $this->idTutor );
		$obj->setIdUnidade( $this->idUnidade );
		$obj->setIdUsuario( $this->idUsuario );
		$obj->setIdMedico( $this->idMedico );
		$obj->setIdAssistente( $this->idAssistente );
		$obj->setIdProcedimento( $this->idProcedimento );
		$obj->setIdConvenioProcedimento( $this->idConvenioProcedimento );
		$obj->setIdFormulario( $this->idFormulario );
		$obj->setDataCriacao( $this->dataCriacao );
		$obj->setHoraCriacao( $this->horaCriacao );

		return $obj;

	}

	/**
	 *
	 * @param mixed $idPet
	 */
	public function setIdPet($idPet): AnamneseAdicionalRegistrationViewModelBuilder {

		$this->idPet = $idPet;
		return $this;

	}

	/**
	 *
	 * @param mixed $idTutor
	 */
	public function setIdTutor($idTutor): AnamneseAdicionalRegistrationViewModelBuilder {

		$this->idTutor = $idTutor;
		return $this;

	}

	/**
	 *
	 * @param mixed $idUnidade
	 */
	public function setIdUnidade($idUnidade): AnamneseAdicionalRegistrationViewModelBuilder {

		$this->idUnidade = $idUnidade;
		return $this;

	}

	/**
	 *
	 * @param mixed $idProcedimento
	 */
	public function setIdProcedimento($idProcedimento): AnamneseAdicionalRegistrationViewModelBuilder {

		$this->idProcedimento = $idProcedimento;
		return $this;

	}

	/**
	 *
	 * @param mixed $idConvenioProcedimento
	 */
	public function setIdConvenioProcedimento($idconvenioProcedimento): AnamneseAdicionalRegistrationViewModelBuilder {

		$this->idConvenioProcedimento = $idconvenioProcedimento;
		return $this;

	}

	/**
	 *
	 * @param mixed $idFormulario
	 */
	public function setIdFormulario($idFormulario): AnamneseAdicionalRegistrationViewModelBuilder {

		$this->idFormulario = $idFormulario;
		return $this;

	}

	/**
	 *
	 * @param mixed $idUsuario
	 */
	public function setIdUsuario($idUsuario): AnamneseAdicionalRegistrationViewModelBuilder {

		$this->idUsuario = $idUsuario;
		return $this;

	}

	/**
	 *
	 * @param mixed $idMedico
	 */
	public function setIdMedico($idMedico): AnamneseAdicionalRegistrationViewModelBuilder {

		$this->idMedico = $idMedico;
		return $this;

	}

	public function setIdAssistente($idAssistente): AnamneseAdicionalRegistrationViewModelBuilder {

		$this->idAssistente = $idAssistente;
		return $this;

	}

	/**
	 *
	 * @param mixed $idRequisicao
	 */
	public function setIdRequisicao($idRequisicao): AnamneseAdicionalRegistrationViewModelBuilder {

		$this->idRequisicao = $idRequisicao;
		return $this;

	}

	/**
	 *
	 * @param mixed $dataCriacao
	 */
	public function setDataCriacao($dataCriacao): AnamneseAdicionalRegistrationViewModelBuilder {

		$this->dataCriacao = $dataCriacao;
		return $this;

	}

	/**
	 *
	 * @param mixed $horaCriacao
	 */
	public function setHoraCriacao($horaCriacao): AnamneseAdicionalRegistrationViewModelBuilder {

		$this->horaCriacao = $horaCriacao;
		return $this;

	}

}

